import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Basic tower
 */
public class BasicTower extends Tower
{
  // constants for tower stats and info
  private static final int FIRE_INTERVAL = 150;
  private static final int RANGE = 150;
  public static final int PRICE = 20;
  public static final String TYPE = "BASICTOWER";

  //generate the sprite
  private static GreenfootImage generateSprite(){
    int width = 20;
    int height = 20;
    GreenfootImage image = new GreenfootImage(width, height);
    image.setColor(Color.BLUE);
    image.fillOval(0, 0, width - 1, height - 1);
    image.setColor(Color.BLACK);
    image.drawLine(width/2 , height/2 , width, height/2);
    return image;
  }
  // getter for all info about this tower.
  public static TowerInfo getTowerInfo(){
    return new TowerInfo(TYPE, PRICE, generateSprite());
  }

  // constructor for basic tower, takes in xy coordinates, and level of tower.
  public BasicTower(int x, int y, int level){
    //x, y, fireInterval, range
    super(x , y, PRICE, FIRE_INTERVAL, RANGE, Tower.ShotType.BASIC, generateSprite());
  }
}
