import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Tower variant.
 */
public class SniperTower extends Tower
{
  private static final int FIRE_INTERVAL = 500;
  private static final int RANGE = 1000;
  public static final int PRICE = 500;
  public static final String TYPE = "SNIPERTOWER";

// draws the sprite
  private static GreenfootImage generateSprite(){
    int width = 20;
    int height = 20;
    GreenfootImage image = new GreenfootImage(width, height);
    image.setColor(Color.	DARK_GRAY);
    image.fillOval(0, 0, width - 1, height - 1);
    image.setColor(Color.BLACK);
    image.drawLine(width/2 , height/2 , width, height/2);
    return image;
  }
// getter for tower info
  public static TowerInfo getTowerInfo(){
    return new TowerInfo(TYPE, PRICE, generateSprite());
  }
// constructor for the tower 
  public SniperTower(int x, int y, int level){
    //x, y, fireInterval, range
    super(x , y, PRICE, FIRE_INTERVAL, RANGE, Tower.ShotType.POWER, generateSprite());
  }
}
