/**
 * Class that determines the spawning of enemies.
 */
import java.util.ArrayList;
public class Spawner
{
  private int level;
  private ArrayList<String> spawnList;
  // id for each enemy
  private int id;

  // constructor takes the current level.
    public Spawner(int level)
    {
      this.level = level;
      this.id = 0;
      // create new list for the spawn queue.
      spawnList = new ArrayList<String>();
      fillSpawnList("BASIC", level + 9);
      fillSpawnList("SPEED", level + 4);
      // add the boss to the spawn list
      fillSpawnListBOSS();
    }
    // helper method to fill the spawn queue with a specfied type and number of
    // enemies
    private void fillSpawnList(String type, int numberOfEnemies){
      for(int i = 0; i < numberOfEnemies; i++){
        spawnList.add(type);
      }
    }

    // helper method that adds a boss enemy to the queue
    private void fillSpawnListBOSS(){
      // adds boss every 20 levels.
      if(level % 20 == 0){
        spawnList.add("BOSS");
      }
    }

    // getter to check if the queue is empty.
    public boolean isEmpty(){
      return spawnList.isEmpty();
    }

    // spawns enemies
    public Enemy getEnemy(ArrayList<Coord> path){
      //generates unique IDs for each enemy
      id++;
      //pop a enemy type of the list
        String type = spawnList.remove(0);
        // reads the type and spawns approiate subclass.
        switch (type){
          case "BASIC":
            return new BasicEnemy(path,id,level);
          case "SPEED":
            return new SpeedEnemy(path,id,level);
          case "BOSS":
            return new Boss(path, id, level);
          default:
            return new BasicEnemy(path,id,level);
        }

    }

}
