import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Variant of tower.
 */
public class SpeedTower extends Tower
{
  private static final int FIRE_INTERVAL = 38;
  private static final int RANGE= 75;
  public static final int PRICE = 150;
  public static final String TYPE = "SPEEDTOWER";

  // getter for tower info
  public static TowerInfo getTowerInfo(){
    return new TowerInfo(TYPE, PRICE, generateSprite());
  }
// draws sprite
  private static GreenfootImage generateSprite(){
    int width = 20;
    int height = 20;
    GreenfootImage image = new GreenfootImage(width, height);
    image.setColor(Color.RED);
    image.fillOval(0, 0, width - 1, height - 1);
    image.setColor(Color.BLACK);
    image.drawLine(width/2 , height/2 , width, height/2);
    return image;
  }
// constructor for tower.
  public SpeedTower(int x, int y, int level){
    //x, y, fireInterval, range
    super(x , y, PRICE ,FIRE_INTERVAL,RANGE, Tower.ShotType.BASIC, generateSprite());
  }
}
