import greenfoot.*;

/**
 * UI for the buttons
 */
public class UIButton extends Actor
{

    public static final String SELL = "Sell";
    public static final String UPGRADE = "Upgrade";
    public static final String CANCEL = "Cancel";

    private String label;
    private Color backgroundColor;
    private GreenfootImage image;

     public void act(){
       // check if this is pressed, if so run event to signal a button has been
       // pressed
       // the action on what to do is determined in MyWorld
       if(Greenfoot.mouseClicked(this)){
         ((MyWorld) getWorld()).buttonPressed(label);
       }
     }

    // constructor for button
    public UIButton(String label, Color backgroundColor){
      this.label =  label;
      this.backgroundColor = backgroundColor;
      draw();
      this.setImage(image);
    }

    // draws the button
     private void draw(){
       int PADDING = 10;
      GreenfootImage textImage = new GreenfootImage(label, 18, Color.BLACK, backgroundColor);
      // adds pading to button larger and easier to click.
      image = new GreenfootImage(textImage.getWidth() + 2*PADDING, textImage.getHeight() + 2*PADDING);
      image.setColor(backgroundColor);
      image.fill();
      image.drawImage(textImage, PADDING, PADDING);
      image.setColor(Color.BLACK);
      image.drawRect(0,0,image.getWidth() - 1, image.getHeight() - 1);
     }

  // Getter to return the height
   public int getHeight(){
     return image.getHeight();
   }


}
