import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Full screen page (Start Screen, End game screen)
 */
public class UIFullScreen extends Actor
{
  private String main;
  private String subHeading;
  private GreenfootImage image;

  private int width;
  private int height;

  private boolean clickToDismiss;

  //constructs the object with a what to say and a subheading
  //clickToDismiss is set to true if it is a startScreen
  public UIFullScreen(int width, int height, String main, String subHeading, boolean clickToDismiss){
    this.main = main;
    this.subHeading = subHeading;

    this.width = width;
    this.height = height;
    this.clickToDismiss = clickToDismiss;
    image = new GreenfootImage(width, height);
    setImage(image);
    draw();
  }
  //draws the Full Screen Page
  private void draw(){
    image.setColor(Color.BLACK);
    image.fill();
    //generate the images for the Strings
    GreenfootImage textImage = new GreenfootImage(main, 36, Color.WHITE, Color.BLACK);
    GreenfootImage subHeadingImage = new GreenfootImage(subHeading, 20, Color.WHITE, Color.BLACK);
    //add the strings to the main image, and centering it
    image.drawImage(textImage, width/2 - (textImage.getWidth()/2), height/2 - (textImage.getHeight()/2));
    image.drawImage(subHeadingImage, width/2 - (subHeadingImage.getWidth()/2),30 + (height/2) - (subHeadingImage.getHeight()/2));
  }

  public void act(){
    //if clicked and the Screen is Clickable
    if (Greenfoot.mouseClicked(this) && clickToDismiss){
      //Generate the controls screen
      Controls controlScreen = new Controls(width, height);
      getWorld().addObject(controlScreen, width/2, height/2);
      //remove the start screen
      getWorld().removeObject(this);
    }
  }
}
