import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * UI Element that displays a Stat.
 */
public class UIText extends Actor
{
  private int value;
  private GreenfootImage image;
  private String textTemplate;


  //Builds a object with a value for that stat and a label describing what
  //the stat is
  public UIText(int value, String template){
    this.value = value;
    this.textTemplate = template;
    draw();

  }
  //draws the stat and value
  private void draw(){
      image = new GreenfootImage(textTemplate + Integer.toString(value), 18 , Color.BLACK, Color.WHITE);
      this.setImage(image);
  }
  //updates the UI with the new value
  public void updateValue(int value){
    this.value = value;
    draw();
  }
  //getter for the height of this UI element
  public int getHeight(){
    return image.getHeight();
  }


}
