import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * UI Element for the button to select which tower to build
 *
 * @author (your name)
 * @version (a version number or a date)
 */
public class UITowerButton extends Actor
{
  private int width;
  private int height;
  private TowerInfo towerInfo;

  //Constructs the button given it's dimentions and the TowerInfo object
  public UITowerButton(int width, int height, TowerInfo info){
    this.width = width;
    this.height = height;
    this.towerInfo = info;
    draw();

  }

  public void act(){
    //if the button is clicked, call the event on what type of tower is selected
    if(Greenfoot.mouseClicked(this)){
      ((MyWorld) getWorld()).setSelectedTower(towerInfo);
    }
  }

  //draw the button based on the TowerInfo passed
  private void draw(){
    String priceString = Integer.toString(towerInfo.getPrice());
    String nameString = towerInfo.getName();
    GreenfootImage sprite = towerInfo.getSprite();
    int infoPadding = sprite.getHeight() + 30;
    GreenfootImage button = new GreenfootImage(this.width, this.height);
    button.drawString(nameString, 5, infoPadding);
    button.drawString(priceString, 5, infoPadding + 14);
    //center the sprite of the Tower in the middle
    button.drawImage(sprite, (width/2)-(sprite.getWidth()/2), 10);
    button.drawRect(0, 0, width - 1, height - 1);
    setImage(button);
  }
  //getter for the height of this UI element
  public int getHeight(){
    return this.height;
  }



}
